Update organization
curl --request PATCH \
--url https://api.helloannie.com/v1/organizations/{orgId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"referenceId": "<string>",
"address": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"addressLine2": "<string>"
}
}
'import requests
url = "https://api.helloannie.com/v1/organizations/{orgId}"
payload = {
"name": "<string>",
"phone": "<string>",
"referenceId": "<string>",
"address": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"addressLine2": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone: '<string>',
referenceId: '<string>',
address: {
addressLine1: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip: '<string>',
addressLine2: '<string>'
}
})
};
fetch('https://api.helloannie.com/v1/organizations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"phone": "<string>",
"referenceId": "<string>",
"parentAccountOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": {
"addressLine1": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>",
"addressLine2": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Organizations
Update organization
Modify mutable fields on an organization.For security purposes, organizations can only be updated using OAuth tokens for authorization.
PATCH
/
organizations
/
{orgId}
Update organization
Path Parameters
The ID of the organization to update
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Fields that can be updated on an existing organization
Organization name
Available options:
America/New_York, America/Chicago, America/Denver, America/Phoenix, America/Los_Angeles, America/Anchorage, Pacific/Honolulu, America/Toronto, America/Vancouver, America/Edmonton, America/Winnipeg, America/Halifax, America/St_Johns, America/Mexico_City Organization phone number
Customer-provided identifier that maps to an entity in their system
Maximum string length:
255Address fields for creating an organization
Show child attributes
Show child attributes
⌘I